package com.tzld.piaoquan.recommend.model.produce.service;

import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.model.PutObjectRequest;
import com.aliyun.oss.model.PutObjectResult;
import lombok.extern.slf4j.Slf4j;

import java.io.File;
import java.io.Serializable;

/**
 * @author dyp
 */
@Slf4j
public class OSSService implements Serializable {
    private String accessId = "LTAI5tHMkNaRhpiDB1yWMZPn";
    private String accessKey = "XLi5YUJusVwbbQOaGeGsaRJ1Qyzbui";
    private String endpoint = "https://oss-cn-hangzhou-internal.aliyuncs.com";

    public void upload(String bucketName, String srcPath, String orcPath) {
        OSS ossClient = new OSSClientBuilder().build(endpoint, accessId, accessKey);
        try {
            PutObjectRequest request = new PutObjectRequest(bucketName, orcPath, new File(srcPath));
            PutObjectResult result = ossClient.putObject(request);
        } catch (Exception e) {
            log.error("upload error bucketName {}, srcPath {}, orcPath {}", bucketName, srcPath, orcPath, e);
        }
        if (ossClient != null) {
            ossClient.shutdown();
        }
    }
}
